/*================================================================== 
 * Licensed Materials - Property of IBM 
 * IBM SecureWay On Demand Client/Server 
 * (c) Copyright IBM Corp. 1999  All rights reserved. 
 * 
 * US Government Users Restricted Rights - Use, duplication or 
 * disclosure restricted by GSA ADP Schedule Contract with IBM 
 * Corp. 
 * 
 * DISCLAIMER OF WARRANTIES.  The following [enclosed] code is 
 * sample code created by IBM Corporation.  This sample code is 
 * not part of any standard or IBM product and is provided to you 
 * solely for the purpose of assisting you in the development of 
 * your applications.  The code is provided "AS IS", without 
 * warranty of any kind.  IBM shall not be liable for any damages 
 * arising out of your use of the sample code, even if they have 
 * been advised of the possibility of such damages. 
 ******************************************************************** 
 * MessageConstants.java
 *
 * Demo: Pager Messaging 
 *
 * Purpose:
 * Contains all of the important constants for the Messaging demo.
 *
 ******************************************************************** 
 * Change History: 
 ******************************************************************** 
 * 
 *  REASON   DATE     ORIGIN     DESCRIPTION 
 *  -------- ------   ------     ----------- 
 *  new      052599   Steve Ims  New code 
 *===================================================================*/ 
 
package Demos.MessageDemo.MessageServer;


/**
 * Contains all of the important constants for the Messaging demo.
 * 
 * @author Steve Ims
 */
public class MessageConstants {
    // Property tags
    public final static String OFFICE_LOCATION   = "xxxOfficexxx";
    public final static String MAILING_STREET    = "xxxMailingStreetxxx";
    public final static String MAILING_CITY      = "xxxMailingCityxxx";
    public final static String MAILING_STATE     = "xxxMailingStatexxx";
    public final static String MAILING_ZIPCODE   = "xxxMailingZipCodexxx";
    public final static String TIELINE_PHONE     = "xxxTielinePhonexxx";
    public final static String WORK_PHONE        = "xxxWorkPhonexxx";
    public final static String EXTERNAL_PHONE    = "xxxExternalPhonexxx";
    public final static String TIELINE_FAX       = "xxxTielineFaxxxx";
    public final static String EXTERNAL_FAX      = "xxxExternalFaxxxx";
    public final static String EMAIL_ADDRESS     = "xxxEmailAddressxxx";
    public final static String PAGER_TYPE        = "xxxPagerTypexxx";
    public final static String PAGER_PIN         = "xxxPagerPinxxx";
    public final static String BACKUP_USERID     = "xxxBackupUserIdxxx";
    public final static String IMMEDIATE_CONTACT = "xxxImmediateContactxxx";

    public final static String NOTIFY_PAGER      = "xxxNotifyPagerxxx";
    public final static String NOTIFY_EMAIL      = "xxxNotifyEmailxxx";
    public final static String NOTIFY_FAX        = "xxxNotifyFaxxxx";
    public final static String NOTIFY_BACKUP     = "xxxNotifyBackupxxx";
    public final static String NOTIFY_NONE       = "xxxNofifyNonexxx";

    public final static int    RECIPIENT_USER       = 0;
    public final static int    RECIPIENT_USER_GROUP = 1;

    public final static String PREFERENCE_CONTEXT   = "/Demos/MessageDemo/MessageServer";
    public final static String MESSAGE_SERVER_SERVLET_URL
        = "/servlet/Demos.MessageDemo.MessageServer.server.MessageServer";

    public final static int    SERVER_RESPONSE_SUCCESS   = 0;
    public final static int    SERVER_RESPONSE_EXCEPTION = 1;

    public final static String [] SUPPORTED_PAGERS = {
        "SkyWord Pager",
        "SkyTel 2-Way Pager",
        "SkyWord Plus Pager",
        "Synapse Pager Card for PalmPilot",
    };
}
